placeholder_manager.h File Reference
`#include "byte_manager.h"`
`#include "box_manager.h"`

Go to the source code of this file.

## Data Structures

struct | placeholder_param
| A.3.6.3 Placeholder box format. More...
struct | placeholderlist_param
| placeholder box list parameters More...

## Typedefs

typedef struct placeholder_param | placeholder_param_t
| A.3.6.3 Placeholder box format.
typedef struct placeholderlist_param | placeholderlist_param_t
| placeholder box list parameters

## Functions

placeholderlist_param_t * | gene_placeholderlist (void)
| generate a placeholder list
void | delete_placeholderlist (placeholderlist_param_t **list)
| delete placeholder list
placeholder_param_t * | gene_placeholder (box_param_t *box, Byte8_t origID)
| generate a placeholder of a box
void | delete_placeholder (placeholder_param_t **placeholder)
| delete a placeholder
void | insert_placeholder_into_list (placeholder_param_t *phld, placeholderlist_param_t *phldlist)
void | print_placeholder (placeholder_param_t *phld)
| print placeholder parameters
void | print_allplaceholder (placeholderlist_param_t *list)
| print all placeholder parameters

## Typedef Documentation

## placeholder_param_t

typedef struct placeholder_param placeholder_param_t

A.3.6.3 Placeholder box format.

placeholder box parameters

## placeholderlist_param_t

typedef struct placeholderlist_param placeholderlist_param_t

placeholder box list parameters

## Function Documentation

## delete_placeholder()

void delete_placeholder | ( | placeholder_param_t ** | placeholder | ) |

delete a placeholder

Parameters

  [in,out] | placeholder | address of the placeholder pointer

Referenced by delete_placeholderlist().

## delete_placeholderlist()

void delete_placeholderlist | ( | placeholderlist_param_t ** | list | ) |

delete placeholder list

Parameters

  [in,out] | list | address of the placeholder list pointer

References delete_placeholder(), and placeholder_param::next.

Referenced by delete_metadata().

## gene_placeholder()

placeholder_param_t * gene_placeholder | ( | box_param_t * | box,
|  | Byte8_t | origID )

generate a placeholder of a box

Parameters

  [in] | box | box pointer
  [in] | origID | metadata-bin ID of the bin containing the contents of the original box

Returns
  pointer to the generated placeholder

References fetch_headbytes(), placeholder_param::Flags, box_param::headlen, placeholder_param::LBox, placeholder_param::next, placeholder_param::OrigBH, placeholder_param::OrigBHlen, placeholder_param::OrigID, and placeholder_param::TBox.

Referenced by const_metadatalist().

## gene_placeholderlist()

placeholderlist_param_t * gene_placeholderlist | ( | void |  | ) |

generate a placeholder list

Returns
  pointer to the generated placeholder list

References placeholderlist_param::first, and placeholderlist_param::last.

Referenced by const_metadatalist(), and parse_metadata().

## insert_placeholder_into_list()

void insert_placeholder_into_list | ( | placeholder_param_t * | phld,
|  | placeholderlist_param_t * | phldlist )

References placeholderlist_param::first, placeholderlist_param::last, and placeholder_param::next.

Referenced by const_metadatalist(), and parse_metadata().

## print_allplaceholder()

void print_allplaceholder | ( | placeholderlist_param_t * | list | ) |

print all placeholder parameters

Parameters

  [in] | list | placeholder list pointer

References placeholderlist_param::first, logstream, placeholder_param::next, and print_placeholder().

Referenced by print_metadata().

## print_placeholder()

void print_placeholder | ( | placeholder_param_t * | phld | ) |

print placeholder parameters

Parameters

  [in] | phld | placeholder pointer

References placeholder_param::Flags, placeholder_param::LBox, logstream, placeholder_param::OrigBH, placeholder_param::OrigBHlen, placeholder_param::OrigID, and placeholder_param::TBox.

Referenced by print_allplaceholder(), and print_msgqueue().